<!DOCTYPE html>
<html>
<head><meta charset="UTF-8">
    <meta name="viewport" content="initial-scale=1.0, maximum-scale=1.0, user-scalable=no">
    <title>Normas</title>
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/metro-orange/easyui.css">  
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/mobile.css">  
    <link rel="stylesheet" type="text/css" href="../../jquery-easyui-1.4.5/themes/icon.css">  
    <link href="../../css/estilo.css" rel="stylesheet" type="text/css" />
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.min.js"></script>  
    <script type="text/javascript" src="../../js/jquery-1.8.0.min.js"></script>
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.easyui.min.js"></script> 
    <script type="text/javascript" src="../../jquery-easyui-1.4.5/jquery.easyui.mobile.js"></script>
      <script type="text/javascript" src="../../jquery-easyui-1.4.5/locale/easyui-lang-es.js"></script>    
</head>

<body>


<?php
	
	include '../../conexion/conn.php';
	$norma_id=$_GET['norma_id'];
	$especie_cod=$_GET['especie_cod'];
		$rs = mysql_query("SELECT norma_detalle_parametro.id_detalle, norma_detalle_parametro.norma_id, norma_detalle_parametro.id_parametro, norma_detalle_parametro.orden_parametro, parametros.parametro_nombre
FROM norma_detalle_parametro
INNER JOIN parametros ON parametros.id_parametro = norma_detalle_parametro.id_parametro
WHERE norma_detalle_parametro.norma_id =  '$norma_id' ORDER BY norma_detalle_parametro.orden_parametro");
	
	
	echo "<div id='tt' class='easyui-tabs' style='width:865px;height:390px;'>";
	
	while($row = mysql_fetch_array($rs)){		
		$v1=str_replace(" ","",trim($row['parametro_nombre']));
		$id_parametro=$row['id_parametro'];
		$titulo = ucfirst(strtolower($row['parametro_nombre']));
		
		echo '<div title="'.$titulo.'" data-options="closable:false">
		<table id="dgDef'.$id_parametro.'" border="false" fit="true" class="easyui-datagrid" pagination="true" 		data-options="pageSize:10,pageList:[5,10,15,20]"
		toolbar="#'.$id_parametro.'" rownumbers="true" fitColumns="true" singleSelect="true">
		
		<thead>
			<tr>
				<th field="defecto_nombre" width="250">Defecto</th>
				<th field="norma_det_valor1" width="80">V1</th>
				<th field="norma_det_valor2" width="80">V2</th>
				<th field="norma_det_valor3" width="80">V3</th>
				<th field="norma_det_valor4" width="80">V4</th>
				<th field="norma_det_valor_tipo" width="390">Tipo</th>
				<th field="norma_det_orden" width="90">Orden</th>
				<th field="tipo_dato" width="90">Tipo Dato</th>
				<th field="estado" width="90">Estado</th>
			</tr>
		</thead>
		</table>
		
		<div id="'.$id_parametro.'">
			<div style ="float:left">
				<a href="#" class="easyui-linkbutton" iconCls="icon-add" plain="true" onclick="agregarDef('.$id_parametro.')">Agregar Defecto</a>
				<a href="#" class="easyui-linkbutton" iconCls="icon-edit" plain="true" onclick="editarDef('.$id_parametro.')">Editar Defecto</a>
				<a href="#" class="easyui-linkbutton" iconCls="icon-add" plain="true" onclick="copiarDef('.$id_parametro.')">Copiar Defecto</a>
				<a href="#" class="easyui-linkbutton" iconCls="icon-remove" plain="true" onclick="quitarDef('.$id_parametro.')">Quitar Defecto</a>
				
			</div>
		</div>
		</div>';	
	}
	echo "</div>";
	
	
?>
<center><a href="#" class="easyui-linkbutton" iconCls="icon-cancel" onclick="javascript:$('#dlgVerwin').window('close');">Cerrar</a></center>

<div id="dlgDef" class="easyui-dialog" style="width:450px;height:auto;padding:10px 10px" closed="true" 
    buttons="#dlgDef-buttons" modal="true">  
		<form id="fmDef" method="post" novalidate>
        	<div class="ftitle">Seleccion de Defecto</div>
			<div class="fitem">
		    	<label>Defecto:</label>
				<input id="defecto_id" name="defecto_id" style="width:300px" editable='false' required="required">
            </div>
            
            <div class="fitem">
	            <label>Orden:</label>
                <input name="norma_det_orden" id="norma_det_orden" style="width:300px"/>
			</div>
			<div class="fitem">
	            <label>Grafico:</label>
                <input id="tipo_dato" name="tipo_dato" class="easyui-combobox" editable='false' style="width:300px" required="required" 
        data-options="valueField:'id',textField:'texto',url:'sqltipo_dato.json',panelHeight:'100',panelWidth:'400'">
			</div>

    <div class="ftitle">U. de Medida de defecto</div>
    <div class="fitem">
       	<label>Tipo:</label>
		<input id="tipo" name="norma_det_valor_tipo" class="easyui-combobox" editable='false' style="width:300px" required="required" 
        data-options="valueField:'id',textField:'texto',url:'sqltipo.json',panelHeight:'100',panelWidth:'400'">
    </div>

            
            <div class="ftitle">Valores de Medición de Defecto</div>
            <div class="fitem">
            	<table width="100%">
                <tr>
                  <td>Valor1<br /><input id="norma_det_valor1" name="norma_det_valor1" style='width:50px;'></td>
                  <td>Valor2<br /><input id="norma_det_valor2" name="norma_det_valor2" style='width:50px;'></td>
                  <td>Valor3<br /><input id="norma_det_valor3" name="norma_det_valor3" style='width:50px;'></td>
                  <td>Valor4<br /><input id="norma_det_valor4" name="norma_det_valor4" style='width:50px;'></td>
                </tr>
              </table>
			</div>
		</form>
    </div>  
    <div id="dlgDef-buttons" style="width:inherit;text-align:center;">
		<a href="#" class="easyui-linkbutton" iconCls="icon-save" onclick="guardarDef()">Guardar</a>
		<a href="#" class="easyui-linkbutton" iconCls="icon-cancel" onclick="javascript:$('#dlgDef').dialog('close')">Cancelar</a>
	</div>


<script type="text/javascript">
$(document).ready(function() { 
	var row = $('#dgnorma').datagrid('getSelected');
	var id_norma=row.norma_id;
	
	<?php include ('carga_datagrid2.php');
		echo $strDgjava;
	?>
 });
 
 var url;
		function agregarDef(id_parametro){
			llenar_defecto(id_parametro);
			var row = $('#dgnorma').datagrid('getSelected');
			llenar_variedad();
			llenar_calibre();
			$('#dlgDef').dialog('open').dialog('setTitle','Nuevo Registro');
			$('#fmDef').form('clear');
			url = 'sqlguardardefecto.php?id_parametro='+id_parametro+'&norma_id='+row.norma_id;
		}
		
		function editarDef(id_parametro){
			var row2 = $('#dgnorma').datagrid('getSelected');
			var row = $('#dgDef'+id_parametro).datagrid('getSelected');
			if (row){
				llenar_defecto(id_parametro);
				llenar_variedad();
				llenar_calibre();
				$('#dlgDef').dialog('open').dialog('setTitle','Editar Registro');
				$('#fmDef').form('clear');
				$('#fmDef').form('load',row);
				//$('#perfil').combobox('getValue');
				url = 'sqlactualizardefecto.php?id='+row.id_norma_detalle+'&id_parametro='+id_parametro+'&norma_id='+row2.norma_id;
			}else{
				$.messager.alert('Advertencia','Seleccione un registro','warning');			
			}
		}

		function copiarDef(id_parametro){
			var row2 = $('#dgnorma').datagrid('getSelected');
			var row = $('#dgDef'+id_parametro).datagrid('getSelected');
			if (row){
				llenar_defecto(id_parametro);
				llenar_variedad();
				llenar_calibre();
				$('#dlgDef').dialog('open').dialog('setTitle','Editar Registro');
				$('#fmDef').form('clear');
				$('#fmDef').form('load',row);
				//$('#perfil').combobox('getValue');
				url = 'sqlguardardefecto.php?id_parametro='+id_parametro+'&norma_id='+row2.norma_id;
			}else{
				$.messager.alert('Advertencia','Seleccione un registro','warning');			
			}
		}
		
		function quitarDef(id_parametro){
			var row = $('#dgDef'+id_parametro).datagrid('getSelected');
			if (row){
				$.messager.confirm('Confirmar','é©´Esta seguro que desea Quitar el registro?'+row.id_norma_detalle,function(r){
					if (r){
						$.post('sqlquitardefecto.php',{id:row.id_norma_detalle},function(result){
							if (result.success){
								$('#dgDef'+id_parametro).datagrid('reload');	// reload the user data
							} else {
								$.messager.show({	// show error message
									title: 'Error',
									msg: result.msg
								});
							}
						},'json');
					}
				});
			}else{
				$.messager.alert('Advertencia','Seleccione un registro','warning');			
			}
		}
		
		function guardarDef(){
			$('#fmDef').form('submit',{
				url: url,
				onSubmit: function(){
					return $(this).form('validate');
				},
				success: function(data){
					if (data=="Datos Grabados" || data=="Datos Modificados"){
						$.messager.alert('Informacion',data,'info');
						$('#dlgDef').dialog('close');		// close the dialog
						//$('#dgnorma').datagrid('reload');	// reload the user data
						<?php include ('actualizargrid.php');
							echo $strDgjava;
						?>
					} else {
						$.messager.alert('Error',data,'error');
					}
				}
			});
		}
		
		function llenar_defecto(id_parametro){
			var row = $('#dgnorma').datagrid('getSelected');
			$('#defecto_id').combogrid({
				panelWidth: 430,
				mode: 'remote',
				url: 'cbodefectogrid.php?id_parametro='+id_parametro+'&especie_cod='+row.especie_cod,
				idField: 'defecto_id',
				textField: 'defecto_nombre',
				columns: [[
					{field:'defecto_id',title:'Codigo',width:100,sortable:true},
					{field:'defecto_nombre',title:'Nombre',width:300,sortable:true}
				]]
			});
		}
		
		function llenar_variedad(){
			var row = $('#dgnorma').datagrid('getSelected');
			$('#variedad_cod').combogrid({
				panelWidth: 430,
				mode: 'remote',
				url: 'cbovariedad.php?especie_cod='+row.especie_cod,
				idField: 'variedad_cod',
				textField: 'variedad_nombre',
				columns: [[
					{field:'variedad_cod',title:'Codigo',width:100,sortable:true},
					{field:'variedad_nombre',title:'Nombre',width:300,sortable:true}
				]]
			});
		}
		function llenar_calibre(){
			var row = $('#dgnorma').datagrid('getSelected');
			$('#calibre_cod').combogrid({
				panelWidth: 430,
				mode: 'remote',
				url: 'cbocalibregrid.php?especie_cod='+row.especie_cod+'&exportador_cod='+row.exportador_cod,
				idField: 'calibre_cod',
				textField: 'calibre_nombre',
				columns: [[
					{field:'calibre_cod',title:'Codigo',width:100,sortable:true},
					{field:'calibre_nombre',title:'Nombre',width:300,sortable:true}
				]]
			});
		}
 
</script>
</body>
</html>